<?php
/**
* Project.Extract
* @version 2.2
* @copyright Soushiant & Nighthawk 2014-2015
*/
require 'libs\logger.php';
require 'libs\config.php';
require 'libs\main.php';
$core = new Main("Home");
//var_dump($GLOBALS);

//options
	if(isset($_GET['option-active']) && $_GET['option-active'] == 'true'){
		$v1=0;
		$v2=0;
		$v3=false;
		if(isset($_GET['overwrite']) && !empty($_GET['overwrite'])){
			if($_GET['overwrite'] == 'true'){
				$v1 = 'w';
			}elseif($_GET['overwrite'] == 'false'){
				$v1 = 'a+';
			}
		}
		if(isset($_GET['results']) && !empty($_GET['results'])){
			$v2 = $_GET['results'];
		}
		if(isset($_GET['deletelogs']) && !empty($_GET['deletelogs'])){
			if($_GET['deletelogs'] == true){
				$v3 = $_GET['deletelogs'];
			}
		}
		if(!$core->setConfig($v1, $v2, $v3)){
			array_push($core->errorMessage, "Could not save config!");
			log::error('Could not parse configuration!');
		}
	}

//get news
	if(CONNECTED){
		$web->checkNews();
		if($web->fetchNews){
			$notif->add($web->getNews(), MESSAGE_TYPE);
		}
	}
?>
<!DOCTYPE html>
<html>
<head>
	<title><?php echo TITLE . ' - ' . $core->title; ?></title>
	<link rel="stylesheet" type="text/css" href="resources/style.css">
	<link rel="stylesheet" type="text/css" href="resources/metrize.css">
	<script type="text/javascript" src="resources/js/jquery-2.1.0.js"></script>
	<script type="text/javascript" src="resources/js/core.js"></script>
</head>
<div id="nav">
	<div id="nav-anchor">
		<nav>
			<li>
				<a href="<?php echo INDEX.'#top' ?>"><ul class="logo"><i class="icon-bars"></i></ul></a>
				<a href="#nav"><ul>Intro</ul></a>
				<?php if(INSTALLED == 'true'){ ?>
					<a href="#extract"><ul>Extract</ul></a>
					<a href="#options"><ul>Options</ul></a>
				<?php } ?>
				<a href="#testimonals"><ul>Testimonials & Credits</ul></a>
			</li>
		</nav>
	</div>
</div>
<body>
	<div class="container">
		<div id="head" class="col-1 head-container">
			<div class="span-2"><h3 style="color:rgba(255,255,255,0.9);">Project<span style="color:rgba(255,80,80,1);">.</span>Extract</h3>
			<?php
			$core->isInstalled();
			$core->logDirExists();
			$core->allFilesExist();
			$web->connectedToServer();
			?>
			</div>
		</div>
		<?php $core->error(); ?>
		<?php $notif->showNotifications(); ?>
		<div class="col-1 banner-container">
			<div class="span-2">
				<h5>PROJECT.EXTRACT</h5><h3>Start Extracting!</h3>
			</div>
			<div class="span-3 margin-bottom-3 button-container">
				<?php
				if(INSTALLED == 'false'){
					echo "<a href=\"".INDEX."?install=all\" class=\"btn btn-2\">Install</a>";
				}elseif(INSTALLED == 'true'){
					echo "<a href=\"#extract\" class=\"btn btn-2\">Let's Start!</a>";
				}
				?>
			</div>
		</div>
	<?php if(INSTALLED == 'true'){ ?>
		<div id="extract" class="col-1 extract-container">
			<header class="col-1 margin-bottom-3"><h3>Extraction</h3><h6>Select Your Method</h6></header>
			<div class="col-1 extract-container-options">
				<div class="option col-1-3"><a href="<?php echo INDEX.'/search.php?type=userinfo' ?>"><i class="icon-user"></i></a><div class="col-1-3 option-label">User Info</div></div>
				<div class="option col-1-3"><a href="<?php echo INDEX.'/search.php?type=findtext&step=1' ?>"><i class="icon-document-fill"></i></a><div class="col-1-3 option-label">Text Search</div></div>
				<div class="option col-1-3"><a href="<?php echo INDEX.'/search.php?type=svlogs' ?>"><i class="icon-text-paragraph"></i></a><div class="col-1-3 option-label">Console Logs</div></div>
			</div>
			<div class="col-1 button-container">
				<a href="#options" class="btn btn-3"><i class="icon-options-settings"></i>ptions</a>
			</div>
		</div>
		<div id="options" class="col-1 options-container span-3">
			<h3><i class="icon-options-settings"></i>ptions</h3>
			<form action="<?php echo INDEX ?>" method="GET" class="col-1 span-2 center">
				<label>Overwrite File(s): </label><input id="overwrite-options" type="radio" name="overwrite" value="true"><label for="overwrite-options"><span><span></span></span>Yes</label><input id="overwrite-options" type="radio" name="overwrite" value="false" checked><label for="overwrite-options"><span><span></span></span>No</label><br />
				<!--<label>Results: </label><input id="overwrite-options" type="radio" name="results" value="detailed"><label for="overwrite-options"><span><span></span></span>Detailed</label><input id="overwrite-options" type="radio" name="results" value="normal"><label for="overwrite-options"><span><span></span></span>Normal</label><br />-->
				<input id="deletelog" type="checkbox" name="deletelogs" value="true"><label for="deletelog-options"><span><span></span></span>Delete Logs</label>
				<input type="hidden" name="option-active" value='true'>
				<div class="col-1 center span-2"><input type="submit" value="Submit" class="btn btn-2" /></div>
			</form>
			<!--<h5>And Statistics <i class="icon-chart-down"></i></h5>-->
		</div>
	<?php } ?>
		<div id="testimonals" class="col-1 testimonal-container span-3">
			<h3 class="col-1"><i class="icon-star"></i> <i>Credits</i></h3>
			<div class="col-2-2 float-right right testimonal">
				<p class="message right">Design, Algorithms & Scripting; <a target="_blank" href="<?php echo usgn_link.'116310'; ?>">Nighthawk</a>.</p>
				<p class="message right">Concept, Algorithms, Scripting & Testing; <a target="_blank" href="<?php echo usgn_link.'16693'; ?>">Soushiant</a>.</p>
				<p class="message right">Thanks to <a target="_blank" href="<?php echo usgn_link.'53360'; ?>">MikuAuahDark</a> for his IIS Installation Guide!</p>
			</div>
			<h3 class="col-1"><i class="icon-quote"></i> <i>Testimonials</i></h3>
			<div class="col-1-2 float-right right testimonal">
				<p class="message right">10/10 dis better den cod.</p>
				<b>-ING</b>
				<p class="message right">smexy.</p>
				<b>-Obeme-Senpui</b>
			</div>
		</div>
	</div>
</body>
<?php include 'resources/footer.php'; ?>
</html>