<?php
/**
* Configuration Parser @version 0.1
* @copyright Nighthawk
*/

define('COMMENT_DELIMITER', '##');
define('EQUALS_DELIMETER', '=');

class ConfigParse
{
	//public var
	var $fileName;
	var $fileExt;
	var $fileFlag;
	var $count = 0;
	public $error = false;
	public $errorMessage = array();
	public $config = array();
	//protected var
	protected $fileIsValid = false;
	protected $fileFlagIsValid = false;

	//public method
	public function __construct(){}

	public function read($filename){
		$this->fileFlag = 'r';
		if(self::validateFile($filename)){
			$file = fopen($this->fileName, $this->fileFlag);
			if($file){
				while(($line = fgets($file)) !== false){
					$line = strtolower($line);
					if(!preg_match('/^'.COMMENT_DELIMITER.'/', $line)){
						//filter keys and values
						if(preg_match('/'.EQUALS_DELIMETER.'/', $line)){
							$this->count++;
							$key = substr($line, 0, strpos($line, EQUALS_DELIMETER));
							$value = substr($line, strpos($line, EQUALS_DELIMETER) + strlen(EQUALS_DELIMETER));
							$value = trim($value);
							$this->config[$key] = $value;
						}
					}
				}
			}
		}
	}
	public function write($assoc_arr=NULL, $path=NULL){
		$content="";
		if(!is_null($path)){
			$this->fileName = $path;
			self::createCfgFile();
		}else{
			$this->error = true;
			array_push($this->errorMessage, 'Missing 2nd argument for '.__FUNCTION__.'();');
			log::error('Could not Parse Config: Missing 2nd argument for '.__FUNCTION__.'();');
		}
		if(!is_null($assoc_arr)){
			if(is_array($assoc_arr)){
				$this->config = $assoc_arr;
			}else{
				$this->error = true;
				array_push($this->errorMessage, 'That\'s not an array!');
				log::error('That\'s not an array!');
			}
		}else{
			$this->error = true;
			array_push($this->errorMessage, 'Missing 1st argument for '.__FUNCTION__.'();');
			log::error('Could not Parse Config: Missing 1st argument for '.__FUNCTION__.'();');
		}
		if($this->error == false){
			//echo "Writing to file \"".$this->fileName."\"";
			$file = fopen($this->fileName, 'w');
			foreach ($this->config as $key => $value) {
				$content .= $key.EQUALS_DELIMETER.$value."\n";
			}
			fwrite($file, $content);
		}
	}
	public function errors(){
		//check for errors
		if($this->error){
			foreach ($this->errorMessage as $key => $value) {
				echo "Error: ".$value."<br/>";
			}
		}
	}
	//protected method

	protected function validateFile($file){
		//check if file exists
		if(file_exists($file)){
			$this->fileName = $file;
			//echo "Reading file \"".$file."\"<br/>";
			return true;
		}else{
			$this->error = true;
			array_push($this->errorMessage, "File \"".$file."\" does not exist!");
			log::error('Config File '.$file.' does not exist! Parsing failed.');
			return false;
		}
	}
	protected function validateFileFlag($fileFlag){
		switch ($fileFlag) {
			case 'r':
				//read
				$this->fileFlag = 'r';
				return true;
				break;
			case 'w':
				//write
				$this->fileFlag = 'w';
				return true;
				break;
			default:
				$this->error = true;
				array_push($this->errorMessage, "Invalid File Flag");
				return false;
				break;
		}
	}
	protected function createCfgFile(){
		$cfg = fopen($this->fileName, 'a+');
	}

}

?>