<?php
/**
* Notifications Module
* @version 0.1
*/

//Notification Types
define('DEBUG_TYPE', 'debug');
define('ERROR_TYPE', 'error');
define('MESSAGE_TYPE', 'message');


class Notification
{

	var $notification = array(
		'debug' => array(),
		'error' => array(),
		'message' => array(),
		);

	var $alert = false;

	public function add($notif_message, $notif_type){
		switch ($notif_type) {
			case DEBUG_TYPE:
				array_push($this->notification['debug'], $notif_message);
				$this->alert = true;
				break;
			case ERROR_TYPE:
				array_push($this->notification['error'], $notif_message);
				$this->alert = true;
				break;
			case MESSAGE_TYPE:
				array_push($this->notification['message'], $notif_message);
				$this->alert = true;
				break;
			default:
				log::error('Notifcation->add(): Invalid Notifcation type \''.$notif_type.'\'');
				break;
		}
	}
	public function showNotifications(){
		if($this->alert){
			if(!empty($this->notification['debug'])){
				?>
				<div class="col-1 span-4 message-container">
					<div class="span-2">
						<h3><i class="icon-exclamation"></i> Debug</h3>
						<?php
							foreach ($this->notification['debug'] as $key) {
								echo "<p class=\"message right\"> $key <i class=\"icon-cross\"></i></p>";
							}
						?>
					</div>
				</div>
				<?php
			}
			if(!empty($this->notification['error'])){
				?>
				<div class="col-1 span-4 message-container">
					<div class="span-2">
						<h3><i class="icon-exclamation"></i> Error!</h3>
						<?php
							foreach ($this->notification['error'] as $key) {
								echo "<p class=\"message right\"> $key <i class=\"icon-cross\"></i></p>";
							}
						?>
					</div>
				</div>
				<?php
			}
			if(!empty($this->notification['message'])){
				?>
				<div class="col-1 span-4 message-container">
					<div class="span-2">
						<h3><i class="icon-exclamation"></i> Notification</h3>
						<?php
							foreach ($this->notification['message'] as $key) {
								echo "<p class=\"message right\"> $key </p>";
							}
						?>
					</div>
				</div>
				<?php
			}
		}
	}
}


$notif = new Notification;

?>