<?php
/**
* Project.Extract
* @version 2.2
* @copyright Soushiant & Nighthawk 2014-2015
*/
require 'libs\logger.php';
require 'libs\config.php';
require 'libs\main.php';
if(INSTALLED == 'false'){
	die();
	header('location: '.INDEX);
}
$processType=0;
$step=0;
$query=0;
if(isset($_GET['type']) && !empty($_GET['type'])){
	if($_GET['type'] == 'userinfo'){
		$processType = 'userinfo';
		$core = new Main('User Info');
	}elseif($_GET['type'] == 'findtext'){
		$core = new Main('Search');
		$processType='findtext';
		if(isset($_GET['step']) && !empty($_GET['step'])){
			if($_GET['step'] == 1){
				$step=1;
			}elseif($_GET['step'] == 2){
				$step=2;
				if(isset($_GET['query']) && !empty($_GET['query'])){
					$query = $_GET['query'];
					log::debug('Searching Query: '.$query);
					$notif->add('Search Results for \''.$query.'\'', MESSAGE_TYPE);
					if(isset($_GET['results']) && !empty($_GET['results'])){
						$results = $_GET['results'];
						if($results == 'all'){
							$results = SEARCH_ALL;
						}elseif($results == 'accurate'){
							$results = SEARCH_ACCURATE;
						}
					}else{
						log::error('search.php: $_GET[\'results\' returned NULL');
						header('location: '.INDEX);
					}
					if(isset($_GET['casesensitive']) && !empty($_GET['casesensitive'])){
						$casesensitive = $_GET['casesensitive'];
					}else{
						$casesensitive = 'false';
					}
				}else{
					$notif->add('Try searching something...maybe?', ERROR_TYPE);
				}
			}
		}else{
			//header('location: '.INDEX);
		}
	}elseif($_GET['type'] == 'svlogs'){
		$core = new Main('Console Logs');
		$processType='svlogs';
	}
}else{
	header('location: '.INDEX);
}

?>
<!DOCTYPE html>
<html>
<head>
	<title><?php echo TITLE . ' - ' . $core->title; ?></title>
	<link rel="stylesheet" type="text/css" href="resources/style.css">
	<link rel="stylesheet" type="text/css" href="resources/metrize.css">
	<script type="text/javascript" src="resources/js/jquery-2.1.0.js"></script>
	<script type="text/javascript" src="resources/js/core.js"></script>
</head>
<div id="nav">
	<div id="nav-anchor">
		<nav>
			<li>
				<a href="<?php echo INDEX.'#top' ?>"><ul class="logo"><i class="icon-bars"></i></ul></a>
				<a href="#code"><ul>Extract</ul></a>
				<a href="#dl-extract"><ul>Open</ul></a>
			</li>
		</nav>
	</div>
</div>
<body>
	<div class="container">
		<div id="head" class="col-1 head-container">
			<div class="span-2"><h3 style="color:rgba(255,255,255,0.9);">Project<span style="color:rgba(255,80,80,1);">.</span>Extract</h3>
			<?php
			$core->isInstalled();
			$core->logDirExists();
			$core->allFilesExist();
			$web->connectedToServer();
			?>
			</div>
		</div>
		<?php $notif->showNotifications(); ?>
		<div id="code" class="col-1 code-container">

			<div class="span-4">
				<?php 
				if($processType == 'findtext' && $step == 1){
				?>
					<div class="span-5 search-container">
						<h4>Search<pre>Beta</pre></h4>
						<form action="<?php echo $_SERVER['PHP_SELF']; ?>" method="GET">
							<input type="text" name="query" placeholder="What are you looking for?" />
							<input type="submit" value="Search" class="btn btn-1"><br/>
							<input type="radio" name="results" value="all" checked><label><span><span></span></span>Any & Every Related Term</label><input type="radio" name="results" value="accurate"><label><span><span></span></span>Just that term</label><br />
							<input type="checkbox" name="casesensitive" value="true"><label><span><span></span></span>Case-Sensitivity</label>
							<input type="hidden" name="step" value="2">
							<input type="hidden" name="type" value="findtext">
						</form>
						<small>*Search will exclude all USGNinfo & Server related results.</small>
					</div>
				<?php
				}
				?>
					<?php if($step == 2){
						//Validation
						$error = false;
						$errorMsg = "";
						if(isset($_GET['query'])){
							//fix
							if(!empty($_GET['query'])){ $searchQuery = $_GET['query']; }else{
								$error = true;
								$errorMsg = "<p>Search Query is empty!</p>";
							}
						}else{ header("location: ".INDEX."/search.php?type=findtext&step=1"); }
					}
					?>
					<h4 class="center"><i class="icon-fire"></i>Results</h4>
					<div class="code margin-top-1">
					
					<?php
						//errors
						if(isset($error) && $error){
							echo $errorMsg;
						}

						if($processType == 'findtext' && $step == 2){
							$text = new Text(FILTER_TEXT, $query, $results, $casesensitive);
						}elseif($processType == 'userinfo'){
							$text = new Text(FILTER_USGN);
						}elseif($processType == 'svlogs'){
							$text = new Text(FILTER_CONSOLE);
						}
					?>
					</div>
					<div id="dl-extract" class="col-1 span-2">
					<?php
						if($processType == 'findtext' && $step == 2){
							echo "<a href=".INDEX." class=\"btn btn-2 margin-1\"><i class=\"icon-arrow-left-thin\" style=\"font-size:20pt;\"></i> Back</a>";
							echo "<a href=".$GLOBALS['paths']['search']." target=\"_blank\" class=\"btn btn-2 margin-1\"><i class=\"icon-download\" style=\"font-size:20pt;\"></i> Open</a>";
							echo "<a href=\"search.php?type=findtext&step=1\" class=\"btn btn-2\"><i class=\"icon-search\" style=\"font-size:20pt;\"></i> Search</a>";
						}elseif($processType == 'userinfo'){
							echo "<a href=".INDEX." class=\"btn btn-2 margin-1\"><i class=\"icon-arrow-left-thin\" style=\"font-size:20pt;\"></i> Back</a>";
							echo "<a href=\"search.php?type=userinfo\" class=\"btn btn-2 margin-1\"><i class=\"icon-refresh\" style=\"font-size:20pt;\"></i> Refresh</a>";
							echo "<a href=".$GLOBALS['paths']['users']." target=\"_blank\" class=\"btn btn-2 margin-1\"><i class=\"icon-download\" style=\"font-size:20pt;\"></i> Open</a>";
						}elseif($processType == 'svlogs'){
							echo "<a href=".INDEX." class=\"btn btn-2 margin-1\"><i class=\"icon-arrow-left-thin\" style=\"font-size:20pt;\"></i> Back</a>";
							echo "<a href=".$GLOBALS['paths']['svlog']." target=\"_blank\" class=\"btn btn-2 margin-1\"><i class=\"icon-download\" style=\"font-size:20pt;\"></i> Open</a>";
						}
					?>
					</div>


			</div>
		</div>

	
	</div>
</body>
<?php include 'resources/footer.php'; ?>
</html>